org.apache.fop.fonts.cff

## Class CFFDataReader.Format3FDSelect

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.FDSelect
  - - org.apache.fop.fonts.cff.CFFDataReader.Format3FDSelect

Enclosing class:
  CFFDataReader

    public class CFFDataReader.Format3FDSelect
    extends CFFDataReader.FDSelect

### Constructor Summary

Constructors
Constructor and Description
`Format3FDSelect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRangeCount()`
`Map<Integer,Integer>` `getRanges()`
`int` `getSentinelGID()`
`void` `setRangeCount(int rangeCount)`
`void` `setRanges(Map<Integer,Integer> ranges)`
`void` `setSentinelGID(int sentinelGID)`

### Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.FDSelect

`getFormat, setFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Format3FDSelect

    public Format3FDSelect()

### Method Detail

#### setRangeCount

    public void setRangeCount(int rangeCount)

#### getRangeCount

    public int getRangeCount()

#### setRanges

    public void setRanges(Map<Integer,Integer> ranges)

#### getRanges

    public Map<Integer,Integer> getRanges()

#### setSentinelGID

    public void setSentinelGID(int sentinelGID)

#### getSentinelGID

    public int getSentinelGID()